GuideLab Docs

Sync Scanner Connection

Run one bounded synchronization slice through the shared scanner inbox pipeline. Returns ingested counts and whether historical catch-up is complete.

POST
/scanner-connections/{id}/sync

Run one bounded synchronization slice through the shared scanner inbox pipeline. Returns ingested counts and whether historical catch-up is complete.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/sync"
{  "success": true,  "data": null,  "syncedAt": "string",  "complete": true,  "newItems": 0,  "updatedItems": 0,  "totalFetched": 0,  "error": "string",  "async": true,  "jobId": "string"}
Empty
Empty
Empty
Empty